- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS

- Window specfic options
- Plot specific options
- set_pgplot_options

# NAME

PDL::Graphics::PGPLOTOptions - Setting PGPLOT options

# SYNOPSIS

use PGPLOTOptions qw('default_options');

# DESCRIPTION

This package contains one function (at present) which returns PDL::Option objects for default settings for plot windows and plot commands. This should be complemented by functions that could affect this such as file reading commands etc.

# OPTIONS

The following is a listing of options that are set in this file and what they do and what their default value is

## Window specfic options

These options modify the appearance of windows and can also modify the default settings for creation of plot axes etc.

Device
  The default PGPLOT device to use. The default value is set to the PGPLOT_DEV environment variable if set, otherwise to '?'.

AxisColour
  The colour with which to draw axes. Default value=3 (Green)

HardLW, HardCH, HardFont, HardAxisColour, HardColour
  The linewidth, character height, font and axis colour to use on hardcopy devices. The default values are HardLW=4, HardCH=1.4, HardFont=2 (Roman), HardAxisColour=1 (Black) and HardColour=1 as well. The latter is the default plot colour to use on hardcopy devices.

Axis
  The axis style to use. See the the PDL::Graphics::PGPLOT::Window manpage documentation for details. It defaults to 'Normal' which is a labelled box. Valid arguments are 'Empty', 'Box', 'Normal', 'Axes', 'Grid', 'LogX', 'LogY', 'LogXY'.

AspectRatio
  The aspect ratio of the output device. The default value is device dependent.

WindowWidth
  The width of the output window in inches and defaults to as big as possible.

WindowXSize and WindowYSize
  These are alternatives to AspectRatio and WindowWidth.

WindowName
  The name of the window - can later be retrieved using name(). It defaults to 'Window'+Window ID.

NXPanel
  The number of panels in the X-direction - defaults to 1

NYPanel
  The number of panels in the Y-direction - defaults to 1

Justify
  A boolean value which, if true, causes both axes to drawn to the same scale; see the PGPLOT `pgenv()` command for more information.

Border
  Adjust the spacing around the plot. See the documentation in the PDL::Graphics::PGPLOT::Window manpage for details.

CharSize
  The default charsize for the plot - used when annotating the axes for instance. It defaults to 1.

PlotPosition
  The position of the plot in normalised coordinates.

Erase
  Explicitly erase the plotting surface, normally required when making new plots with PlotPosition.

## Plot specific options

For the moment see the `PDL::Graphics::PGPLOT::Window` documentation for these.

## set_pgplot_options

This function allows the user to set the default PGPLOT options. It is particularly useful in the `.perldlrc` file since one can do

      use PDL::Graphics::PGPLOTOptions ('set_pgplot_options');
      set_pgplot_options('Device' => '/xs', 'HardLW' => 3);

for instance to set the default values. The main drawback is that the routine is rather unflexible with no synonyms or case-insensitivity.